import vdcpy.work as vdc_work
import vdcpy.project as vdc_project
import vdcpy.user as vdc_user

def add_unittest_work():
    # Get unittest user id
    user_list = vdc_user.get_users(name='unittest_user')
    user_id = user_list[0]['id']
    # Get unittest project id
    project_list = vdc_project.get_projects(title='unittest_project')
    project_id = project_list[0]['id']

    work_info = {
        'title': 'unittest_work',
        'abstract': 'unittest_abstract',
        'genre': 'DataSet',
        'visibility': 'open',
        'project': project_id,
        'created_by': user_id
    }
    vdc_work.add_work(work_info)

def delete_unittest_works():
    # Get all unittest works
    work_list = vdc_work.get_works(title='unittest_work')
    for work_info in work_list:
        vdc_work.delete_work(work_info['id'])

    work_list = vdc_work.get_works(title='unittest_work_updated')
    for work_info in work_list:
        vdc_work.delete_work(work_info['id'])
